Skip to main content
`Ctrl`+`K`

# PetscLogStateClassSetActiveAll

Set logging events associated with an event as active or inactive for all logging stages

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateClassSetActiveAll(PetscLogState state, PetscClassId classid, PetscBool isActive)

Not collective

## Input Parameters

- state - a `PetscLogState`

- classid - a `PetscClassId`

- isActive - if `PETSC_FALSE`, `PetscLogStateEventGetActive()` will return `PETSC_FALSE` for all events that were associated with this class when they were registered (see `PetscLogStateEventRegister()`).

## Note

This is called for the global state (`PetscLogGetState()`) in `PetscLogEventIncludeClass()` and `PetscLogEventExcludeClass()`.

## See Also

Profiling, `PetscLogState`, `PetscLogEventGetActive()`, `PetscLogStateClassSetActive()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages